Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class RepositoryAdapter

    java.lang.Object
      org.openide.filesystems.RepositoryAdapter

All Implemented Interfaces:
  EventListener, RepositoryListener

    public class RepositoryAdapter

extends Object
implements RepositoryListener

Dummy adapter for `RepositoryListener`.

Constructor Summary
`RepositoryAdapter()`

Method Summary
`void` | `fileSystemAdded(RepositoryEvent ev)` Called when new filesystem is added to the pool.
`void` | `fileSystemPoolReordered(RepositoryReorderedEvent ev)` Called when a filesystem pool is reordered.
`void` | `fileSystemRemoved(RepositoryEvent ev)` Called when a filesystem is removed from the pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryAdapter

    public RepositoryAdapter()

Method Detail

### fileSystemAdded

    public void fileSystemAdded(RepositoryEvent ev)

  Description copied from interface: `RepositoryListener`
  Called when new filesystem is added to the pool.

  Specified by:
    `fileSystemAdded` in interface `RepositoryListener`
  Parameters:
    `ev` - event describing the action

### fileSystemRemoved

    public void fileSystemRemoved(RepositoryEvent ev)

  Description copied from interface: `RepositoryListener`
  Called when a filesystem is removed from the pool.

  Specified by:
    `fileSystemRemoved` in interface `RepositoryListener`
  Parameters:
    `ev` - event describing the action

### fileSystemPoolReordered

    public void fileSystemPoolReordered(RepositoryReorderedEvent ev)

  Description copied from interface: `RepositoryListener`
  Called when a filesystem pool is reordered.

  Specified by:
    `fileSystemPoolReordered` in interface `RepositoryListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.